import unittest
import utils


class TestMatrixCreate(unittest.TestCase):
    def test_po_matrix_create(self):
        self.create_matrix("PO")

    def test_co_matrix_create(self):
        self.create_matrix("CO")

    def create_matrix(self, mode):
        print(
            utils.run_file_single_output(
                ["test_harness.alc", "matrix.alc",
                 "matrix_create.alc", "primitives.alc",
                 "random.alc"],
                [100, 0],
                mode))
