import unittest
import utils


class TestMatrixGaussJordan(unittest.TestCase):
    def test_po_matrix_gauss_jordan(self):
        self.matrix_gauss_jordan("PO")

    def test_co_matrix_gauss_jordan(self):
        self.matrix_gauss_jordan("CO")

    def matrix_gauss_jordan(self, mode):
        print(
            utils.run_file_single_output(
                ["test_harness.alc", "matrix.alc",
                 "matrix_gauss_jordan.alc", "primitives.alc",
                 "random.alc"],
                [30, 0],
                mode))
